For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/byacc/APKBUILD Berkeley Yacc

Nathan Angelacos
Details
Message ID
<1325400422-6743-1-git-send-email-nangel@alpinelinux.org>
Sender timestamp
1325400422
DKIM signature
missing
Download raw message
Patch: +31 -0
---
 testing/byacc/APKBUILD |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 testing/byacc/APKBUILD

diff --git a/testing/byacc/APKBUILD b/testing/byacc/APKBUILD
new file mode 100644
index 0000000..8c2cc2b
--- /dev/null
+++ b/testing/byacc/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
+pkgname=byacc
+pkgver=20111219
+pkgrel=0
+pkgdesc="The Berkeley Yacc general-purpose parser generator"
+arch="all"
+license="Public Domain"
+url="http://invisible-island.net/byacc/byacc.html"
+source="ftp://invisible-island.net/byacc/byacc-${pkgver}.tgz"
+subpackages="$pkgname-doc"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--datadir=/usr/share \
+		--infodir=/usr/share/info \
+		--mandir=/usr/share/man
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="c17542fd9df6e392d495a64f883e29f1  byacc-20111219.tgz"
-- 
1.7.7.1



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20120102092753.4e7924e4@ncopa-desktop.nor.wtbts.net>
In-Reply-To
<1325400422-6743-1-git-send-email-nangel@alpinelinux.org> (view parent)
Sender timestamp
1325492873
DKIM signature
missing
Download raw message
On Sun,  1 Jan 2012 06:47:02 +0000
Nathan Angelacos <nangel@alpinelinux.org> wrote:

> ---
>  testing/byacc/APKBUILD |   31 +++++++++++++++++++++++++++++++
>  1 files changed, 31 insertions(+), 0 deletions(-)
>  create mode 100644 testing/byacc/APKBUILD

Applied. Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---